Subject: Re: [PATCH] bash completion: Hide more plumbing commands

From: Petr Baudis <[email-masked]>
Date: Thu, 4 Sep 2008 00:31:18 +0200

On Thu, Sep 04, 2008 at 12:23:50AM +0200, Petr Baudis wrote:
> I started on a patch, but frankly, I hate it. Adding such a filtering to
> git-status is quite invasive, while I believe that it's simply not worth
> it - I have yet to encounter a situation with git when simply looking at
> either git diff or plain git status is impractical to check which files
> need to be merged yet, so I don't want to expend energy on a patch which
> is going to be ugly and useless by my belief.
> 
> If you do insist that we need this functionality, can you please just
> drop the git ls-files bit from the patch, or should I resend it?

It just occured to me - what about

	git diff --diff-filter=U [--name-status]

or is that too long? (The universal answer being, "you can alias it".
;-)

				Petr "Pasky" Baudis